# Getting Blocks

## Blocks

A Raiinmaker Network EAL business chain creates a new block every five seconds if there are new transactions on the chain. Transactions are collected for the entire block time, then hashed, signed, and put into a block. The block is then hashed, signed, and sent for network verification. By design each block contains a reference to the previous block’s hash.

### Getting Blocks

Because Raiinmaker Network EAL designed its architecture with privacy and protection of business data in mind, transaction payloads are not included in the block sent for network verification. Authorized users can request information on transactions directly using a transaction ID or other search criteria, but all transaction payload information is stripped prior to verification on the Raiinmaker Network EAL verification network to protect the sensitive business data, including privacy (e.g. GDPR, CCPA, and HIPAA) data. Etc.

With the `coiin` command line shell tool, one can easily extract blocks from a business chain by block ID:

```
$ coiin block get "28167573"
{
  "status": 200,
  "response": {
    "version": "1",
    "dcrn": "Block::L1::AtRest",
    "header": {
      "dc_id": "28GiivQE5m8a9oyvFD33JgwnBpgyZp2RxtTVFGjcRPVDJ",
      "block_id": "28167573",
      "level": 1,
      "timestamp": "1573076085",
      "prev_id": "28167557",
      "prev_proof": "MEUCIQC2/17+JRNENHoNnqobdYN88i/GMyvFbYY8aDLU0qct2gIgGObKjoi/cDxyLHkByKbZ2aiwTZtJ7XB2iqkvqNmQ4lY="
    },
    "transactions": [
      "{\"version\":\"2\",\"dcrn\":\"Transaction::L1::Stripped\",\"header\":{\"txn_type\":\"with-index\",\"dc_id\":\"28GiivQE5m8a9oyvFD33JgwnBpgyZp2RxtTVFGjcRPVDJ\",\"txn_id\":\"665541ef-7a68-472d-b4f1-c75484a7f8f7\",\"block_id\":\"28167573\",\"timestamp\":\"1573076083\",\"tag\":\"\",\"invoker\":\"\"},\"proof\":{\"full\":\"BGHz+yb+lrasHKNbl46awH1bqPYBb+HfZiqecBV31Bs=\",\"stripped\":\"MEUCIQDWgiKuN4JJMU8WSGe0HnNipPgH/O8S+uVuk6YuB/K2swIgEw6OhNrDWN1rcAr6UBYBDzVvranlBsbJnuP1uXagLa0=\"}}"
    ],
    "proof": {
      "scheme": "trust",
      "proof": "MEUCIQCICgA2/Py+VqgqYWGAVpVvNBMspVOMLYlYJ0ZqGk4YVAIgfJPv8By3YeAA7qKgyhwqcCgkPNyMUHu8A/Wzgyxclx8="
    }
  },
  "ok": true
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coiin.ai/home/developers/getting-blocks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
